#!/bin/bash
ALLUM_MATIN='16:42'
ETEIND_MATIN='16:44'
ALLUM_SOIR='16:46'
ETEIND_SOIR='16:40'

DATE_ALLUM_MATIN=`date '+%s' -d $ALLUM_MATIN`
DATE_ALLUM_SOIR=`date '+%s' -d $ALLUM_SOIR`
DATE_ETEIND_MATIN=`date '+%s' -d $ETEIND_MATIN`
DATE_ETEIND_SOIR=`date '+%s' -d $ETEIND_SOIR`
DATEHEURE=`date '+%s'`

echo "vérification heure"
hwclock -w # pour écrire l'heure
hwclock -r && date # pour verifier

# test si on est dans la tranche avant matin
if [ $DATEHEURE -lt $DATE_ALLUM_MATIN ]
then
        echo "on est dans la tranche avant matin demarrage $ALLUM_MATIN arret $ETEIND_MATIN"
        shutdown -P $ETEIND_MATIN
        echo 0 | sudo tee /sys/class/rtc/rtc0/wakealarm
        echo `date '+%s' -d "$ALLUM_MATIN"` | sudo tee /sys/class/rtc/rtc0/wakealarm
# test si on est dans la tranche du matin
elif [ $DATEHEURE -gt $DATE_ALLUM_MATIN ] && [ $DATEHEURE -lt $DATE_ETEIND_MATIN ]
then
        echo "on est dans la tranche matin arret $ETEIND_MATIN demarrage $ALLUM_SOIR"
        shutdown -P $ETEIND_MATIN
        echo 0 | sudo tee /sys/class/rtc/rtc0/wakealarm
        echo `date '+%s' -d "$ALLUM_SOIR"` | sudo tee /sys/class/rtc/rtc0/wakealarm
# test si on est entre les 2
elif [ $DATEHEURE -gt $DATE_ETEIND_MATIN ] && [ $DATEHEURE -lt $DATE_ALLUM_SOIR ]
then
        echo "on est entre les 2 soir arret $ETEIND_SOIR demarrage $ALLUM_SOIR"
        shutdown -P $ETEIND_SOIR
        echo 0 | sudo tee /sys/class/rtc/rtc0/wakealarm
        echo `date '+%s' -d "$ALLUM_SOIR"` | sudo tee /sys/class/rtc/rtc0/wakealarm
# test si on est dans la tranche du soir
elif [ $DATEHEURE -gt $DATE_ALLUM_SOIR ] && [ $DATEHEURE -lt $DATE_ETEIND_SOIR ]
then
        echo "on est dans la tranche soir arret $ETEIND_SOIR demarrage $ALLUM_MATIN"
        shutdown -P $ETEIND_SOIR
        echo 0 | sudo tee /sys/class/rtc/rtc0/wakealarm
        echo `date '+%s' -d "tomorrow $ALLUM_MATIN"` | sudo tee /sys/class/rtc/rtc0/wakealarm
else
# sinon fonctionne 2 heures
        echo "hors tranche horaire marche 2 heures"
        shutdown -P 2:00
fi

